Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.processor
Class XSLProcessorVersion

    java.lang.Object
      |
      +--org.apache.xalan.processor.XSLProcessorVersion

public class XSLProcessorVersion
extends java.lang.Object

Administrative class to keep track of the version number of the Xalan release.

See also: org/apache/xalan/res/XSLTInfo.properties

Field Summary
`static int` | `DEVELOPMENT` Development Drop Number.
`static java.lang.String` | `LANGUAGE` Implementation Language.
`static int` | `MAINTENANCE` Maintenance Drop Number.
`static java.lang.String` | `PRODUCT` Constant name of product.
`static int` | `RELEASE` Release Number.
`static java.lang.String` | `S_VERSION` Version String like `"Xalani v.r[.dd| Dnn]"`.
`static int` | `VERSION` Major version number.

Constructor Summary
`XSLProcessorVersion()`

Method Summary
`static void` | `main(java.lang.String[] argv)` Print the processor version to the command line.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### S_VERSION

    public static java.lang.String S_VERSION

  Version String like `"Xalani v.r[.dd| Dnn]"`.

  Semantics of the version string are identical to the Xerces project.

### PRODUCT

    public static final java.lang.String PRODUCT

  Constant name of product.

### LANGUAGE

    public static java.lang.String LANGUAGE

  Implementation Language.

### VERSION

    public static int VERSION

  Major version number. Version number. This changes only when there is a significant, externally apparent enhancement from the previous release. 'n' represents the n'th version. Clients should carefully consider the implications of new versions as external interfaces and behaviour may have changed.

### RELEASE

    public static int RELEASE

  Release Number. Release number. This changes when: - a new set of functionality is to be added, eg, implementation of a new W3C specification. - API or behaviour change. - its designated as a reference release.

### MAINTENANCE

    public static int MAINTENANCE

  Maintenance Drop Number. Optional identifier used to designate maintenance drop applied to a specific release and contains fixes for defects reported. It maintains compatibility with the release and contains no API changes. When missing, it designates the final and complete development drop for a release.

### DEVELOPMENT

    public static int DEVELOPMENT

  Development Drop Number. Optional identifier designates development drop of a specific release. D01 is the first development drop of a new release. Development drops are works in progress towards a compeleted, final release. A specific development drop may not completely implement all aspects of a new feature, which may take several development drops to complete. At the point of the final drop for the release, the D suffix will be omitted. Each 'D' drops can contain functional enhancements as well as defect fixes. 'D' drops may not be as stable as the final releases.

Constructor Detail

### XSLProcessorVersion

    public XSLProcessorVersion()

Method Detail

### main

    public static void main(java.lang.String[] argv)

  Print the processor version to the command line.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.